Description

Right now, only a small number of possible error cases is rescue inside the AuthSourceLdap model are rescued, namely errors

happening on the LDAP protocol itself. This results in plain (and not really helpful) 500 errors on login for many common transient

network errors, including an unstable connection between the app and the LDAP server, TLS certificate issues, DNS issues,

changed firewalls...

The attached patch against current trunk at r14793 provides a list of exceptions that are explicitly rescued to show a nice error

message to the user instead of just failing with an HTTP 500. This should result in much more pleasant experience for people using

LDAP auth.

This patch was extracted from Planio.

Related issues:

Related to Redmine - Defect #5592: Better error page on LDAP Authentication e... Closed 2010-05-25

Associated revisions

Revision 14808 - 2015-11-07 09:27 - Jean-Philippe Lang

Rescue network level errors with LDAP auth (#21137).

Patch by Holger Just.

History

#1 - 2015-11-03 13:07 - Toshi MARUYAMA

- Target version set to 3.2.0

#2 - 2015-11-07 09:27 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Thanks.

#3 - 2022-01-13 14:51 - Go MAEDA

- Related to Defect #5592: Better error page on LDAP Authentication error added
